Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class CachedTestCase

    java.lang.Object
      org.picocontainer.behaviors.CachedTestCase

    public class CachedTestCase

extends Object

Author:
  Mauro Talevi

Nested Class Summary
`static interface` | `CachedTestCase.ComponentAdapterSupportingLifecycleStrategy`

Constructor Summary
`CachedTestCase()`

Method Summary
`void` | `testCanStopAComponentThatWasNeverStartedBecauseItHasNoLifecycle()`
`void` | `testComponentCanBeStartedAgainAfterBeingStopped()`
`void` | `testComponentCannotBeDisposedIfAlreadyDisposed()`
`void` | `testComponentCannotBeDisposedIfNotInstantiated()`
`void` | `testComponentCannotBeStartedIfAlreadyStarted()`
`void` | `testComponentCannotBeStartedIfDisposed()`
`void` | `testComponentCannotBeStoppedIfDisposed()`
`void` | `testComponentCannotBeStoppedIfNotInstantiated()`
`void` | `testComponentCannotBeStoppedIfNotStarted()`
`void` | `testComponentIsNotStartedWhenCachedAndCanBeStarted()`
`void` | `testComponentIsNotStoppedAndDisposedWhenFlushedIfDelegateDoesNotSupportLifecycle()`
`void` | `testComponentIsNotStoppedAndDisposedWhenFlushedIfNotStarted()`
`void` | `testComponentIsStoppedAndDisposedIfStartedWhenFlushed()`
`void` | `testLifecycleIsIgnoredIfDelegateDoesNotSupportIt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedTestCase

    public CachedTestCase()

Method Detail

### testComponentIsNotStartedWhenCachedAndCanBeStarted

    public void testComponentIsNotStartedWhenCachedAndCanBeStarted()

### testComponentCanBeStartedAgainAfterBeingStopped

    public void testComponentCanBeStartedAgainAfterBeingStopped()

### testComponentCannotBeStartedIfDisposed

    public void testComponentCannotBeStartedIfDisposed()

### testComponentCannotBeDisposedIfNotInstantiated

    public void testComponentCannotBeDisposedIfNotInstantiated()

### testComponentCannotBeStartedIfAlreadyStarted

    public void testComponentCannotBeStartedIfAlreadyStarted()

### testComponentCannotBeStoppedIfDisposed

    public void testComponentCannotBeStoppedIfDisposed()

### testComponentCannotBeStoppedIfNotInstantiated

    public void testComponentCannotBeStoppedIfNotInstantiated()

### testComponentCannotBeStoppedIfNotStarted

    public void testComponentCannotBeStoppedIfNotStarted()

### testComponentCannotBeDisposedIfAlreadyDisposed

    public void testComponentCannotBeDisposedIfAlreadyDisposed()

### testComponentIsStoppedAndDisposedIfStartedWhenFlushed

    public void testComponentIsStoppedAndDisposedIfStartedWhenFlushed()

### testComponentIsNotStoppedAndDisposedWhenFlushedIfNotStarted

    public void testComponentIsNotStoppedAndDisposedWhenFlushedIfNotStarted()

### testComponentIsNotStoppedAndDisposedWhenFlushedIfDelegateDoesNotSupportLifecycle

    public void testComponentIsNotStoppedAndDisposedWhenFlushedIfDelegateDoesNotSupportLifecycle()

### testLifecycleIsIgnoredIfDelegateDoesNotSupportIt

    public void testLifecycleIsIgnoredIfDelegateDoesNotSupportIt()

### testCanStopAComponentThatWasNeverStartedBecauseItHasNoLifecycle

    public void testCanStopAComponentThatWasNeverStartedBecauseItHasNoLifecycle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.